"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const debug_1 = tslib_1.__importDefault(require("debug"));
const lodash_1 = require("lodash");
const path_1 = require("path");
const process_1 = require("process");
const debug = debug_1.default('qawolf:config');
exports.getConfigPath = () => path_1.join(process_1.cwd(), 'qawolf.config.js');
exports.loadConfig = (path) => {
    let userConfig;
    try {
        const configPath = path || exports.getConfigPath();
        debug('load config from %s', configPath);
        userConfig = require(configPath);
    }
    catch (error) {
        debug(`error loading config from ${error.message}`);
        return {
            config: 'node_modules/qawolf/js-jest.config.json',
            rootDir: '.qawolf',
            testTimeout: 60000,
            useTypeScript: false,
            watch: true,
        };
    }
    const config = {
        attribute: userConfig.attribute,
        createTemplate: userConfig.createTemplate,
        config: userConfig.config,
        rootDir: userConfig.rootDir || '.qawolf',
        testTimeout: userConfig.testTimeout || 60000,
        useTypeScript: userConfig.useTypeScript || false,
        watch: lodash_1.isNil(userConfig.watch) ? true : userConfig.watch,
    };
    return config;
};
//# sourceMappingURL=config.js.map