"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const events_1 = require("events");
const watchBrowser_1 = require("../watch/watchBrowser");
const WatchHooks_1 = require("../watch/WatchHooks");
class Registry extends events_1.EventEmitter {
    constructor() {
        super(...arguments);
        this._data = {};
    }
    static instance() {
        return this._instance;
    }
    data() {
        return this._data;
    }
    setValue(key, value) {
        this._data[key] = value;
        this.emit('change');
    }
    setBrowser(browser) {
        if (WatchHooks_1.WatchHooks.enabled()) {
            watchBrowser_1.watchBrowser(browser);
        }
        this.setValue('browser', browser);
    }
    setContext(context) {
        this.setValue('context', context);
    }
    setQawolf(value) {
        this.setValue('qawolf', value);
    }
}
exports.Registry = Registry;
Registry._instance = new Registry();
//# sourceMappingURL=Registry.js.map