"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
require("../await-outside");
const await_outside_1 = require("await-outside");
const debug_1 = tslib_1.__importDefault(require("debug"));
const kleur_1 = require("kleur");
const repl_1 = require("repl");
const addScreenshotCommand_1 = require("./addScreenshotCommand");
const setReplContext_1 = require("./setReplContext");
const WatchHooks_1 = require("../../watch/WatchHooks");
const debug = debug_1.default('qawolf:repl');
exports.repl = (context, callback) => {
    console.log(kleur_1.bold().yellow('Type .exit to close the repl and continue running your code'));
    const replServer = repl_1.start({
        terminal: true,
        useGlobal: true,
    });
    await_outside_1.addAwaitOutsideToReplServer(replServer);
    addScreenshotCommand_1.addScreenshotCommand(replServer);
    setReplContext_1.setReplContext(replServer.context, context);
    WatchHooks_1.WatchHooks.onStop(() => replServer.close());
    if (callback)
        callback(replServer);
    return new Promise((resolve) => {
        replServer.on('exit', () => {
            debug('exit');
            resolve();
        });
    });
};
//# sourceMappingURL=repl.js.map