"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const WatchHooks_1 = require("./WatchHooks");
const closeOnce = (browser) => {
    let closedPromise;
    const closeFn = browser.close.bind(browser);
    browser.close = () => {
        if (closedPromise)
            return closedPromise;
        closedPromise = closeFn();
        return closedPromise;
    };
};
exports.watchBrowser = (browser) => {
    if (browser._qawWatch)
        return;
    browser._qawWatch = true;
    closeOnce(browser);
    browser.on('disconnected', () => WatchHooks_1.WatchHooks.close());
    WatchHooks_1.WatchHooks.onStop(() => browser.close());
};
//# sourceMappingURL=watchBrowser.js.map